# SM3Campaign

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**api_id** | **str** | The Id of the api being used. | [optional] 
**campaign_id** | **int** | Unique ID for the Campaign. | 
**created** | **str** | When the camppaign was created. | [optional] 
**deduplicate** | **int** | If true, avoid sending multiple messages to the same contact. | [optional] 
**hourly_rate_limit** | **int** | Maximum number of emails to send per hour. | [optional] 
**last_send_block_size** | **int** | How many contacts were sent in the last batch. | [optional] 
**last_send_date** | **str** | Datetime of the last sent message. | [optional] 
**type** | **str** | The contact source type code for this Campaign.  E.g., list or segment. | [optional] 
**list_ids** | **str** | Comma separated list of List IDs attached to this campaign. | [optional] 
**segment_ids** | **str** | Comma separated list of Segment IDs attached to this campaign. | [optional] 
**modified** | **str** | When the campaign was last modified. | [optional] 
**n_clicked_total** | **int** | Total Number of opened messages recieving a click. | [optional] 
**n_clicked_unique** | **int** | Number of unique opened messages recieving a click. | [optional] 
**n_delivered** | **int** | Number of messages that have been successfully delivered. | [optional] 
**n_hard_bounce** | **int** | Number of messages that experienced a hard bounce. | [optional] 
**n_lost** | **int** | Number of messages that have been lost. | [optional] 
**n_opened_total** | **int** | Total Number of messages that have been opened. | [optional] 
**n_opened_unique** | **int** | Number of unique messages that have been opened. | [optional] 
**n_queued** | **int** | Number of messages that have been queued for delivery. | [optional] 
**n_sent** | **int** | Number of messages that have been sent. | [optional] 
**n_soft_bounce** | **int** | Number of messages that experienced a soft bounce. | [optional] 
**n_spam** | **int** | Number of messages marked as spam. | [optional] 
**n_staged** | **int** | Number of messages that have been staged for delivery. | [optional] 
**n_suppressed** | **int** | Number of email addresses that have been suppressed. | [optional] 
**queue_priority** | **int** | Priority relative to other concurrent campaigns. | [optional] 
**retries** | **int** | Total number of retries attempted on this campaign. | [optional] 
**retry_after_date** | **str** | Datetime when the next retry will be attempted. | [optional] 
**seconds_to_last_fail** | **int** | Seconds from start to the last time a message delivery failed. | [optional] 
**seconds_to_last_success** | **int** | Seconds from start to the last successful delivery. | [optional] 
**seconds_to_send** | **int** | Seconds to send all messages. | [optional] 
**seconds_to_stage** | **int** | Seconds to stage all messages. | [optional] 
**send_at** | **str** | Datetime when campaign starts. | [optional] 
**send_started_at** | **str** | Datetime when campaign actually started. | [optional] 
**stats_last_updated** | **str** | Datetime when statistics were last updated. | [optional] 
**status** | **str** | Current campaign status.  [\&quot;scheduled\&quot;,\&quot;paused\&quot;,\&quot;staging\&quot;,\&quot;sending\&quot;,\&quot;queued\&quot;,\&quot;complete\&quot;,\&quot;running\&quot;,\&quot;failed\&quot;] | [optional] 
**status_detail** | **str** | Current campaign status detail. | [optional] 
**status_prepause** | **str** | Status of the call before it was paused. | [optional] 
**template_id** | **int** | Unique ID for template assigned to this campaign. | [optional] 
**title** | **str** | Human readable title of the campaign. | [optional] 
**trigger_id** | **str** | Trigger id if applicable | [optional] 
**user_id** | **int** | User Id of user who created this campaign. | [optional] 
**underlying_data_updated** | **str** | Datetime when underlying data was last updated. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

