# EmailForwardingBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**enabled** | **str** | Required. Specify “0” to disable forwarding; non-zero to enable. | 
**deliver** | **str** | Required. Specify what should happen to email to this user (if enabled): • “forward” - forward to 1+ email addresses • “delete” - delete all email • “deny” - deny all email with a custom message. Note that delete and deny will apply to all messages and all other custom email filters will be skipped. The forward delivery action will forward email and all other custom email filters, including this forwarding rule, will apply in the usual order. | 
**leave_local** | **str** | Optional. For “deliver&#x3D;forward” cases, specify non-zero if you would like copies of the forwarded email to continue on and pass through the rest of your email filters for possible ultimate delivery to the INBOX. E.g. this is a “not final” forwarding rule. If omitted, leave local will be “off”. | [optional] 
**forward_to** | **str** | Required for “deliver&#x3D;forward”. Specify a comma-delimited list of email addresses to which inbound email messages should be forwarded. There is a maximum number of recipients that can be specified (this limit is accountdependent). | 
**deny_message** | **str** | Required for “deliver&#x3D;deny”. Specify a short message to return when messages are blocked. Note that this message must be less than 50 characters, contain only latin1 characters and should omit special characters. The message will beautomatically modified to meet these criteria. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

