# SecureFormDbRow

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**encrypt__** | **int** | Integer Value of 1 if the row is encrypted at rest in the database; 0 if not. | [optional] 
**files__** | [**list[SecureFormDbRowFiles_]**](SecureFormDbRowFiles_.md) | Array An array of file information that can be used to manipulate the files associated with this post/row. Each item in this array is an object representing one of the associated files. The keywords in these objects are: - file_id – Unique (integer) ID for this file - size – Size in bytes of this file - name – Filename for this file&#x27; | [optional] 
**index__** | **int** | Integer Unique index for this form post / database row. | [optional] 
**ip_address__** | **str** | IP Address of the computer used by the end user who submitted this form post. | [optional] 
**n_files__** | **int** | The number of files associated with this post/row that are currently saved in the database. | [optional] 
**posted__** | **str** | DATETIME Date and time the data was saved to this database table in GMT (format “YYYY-MM-DD HH:MM:SS”) | [optional] 
**referrer__** | **str** | HTTP Referer passed by the end user’s web client. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

